from pydantic import BaseModel, ConfigDict, Field


class SectorDTO(BaseModel):
    key: str = Field(..., min_length=1, max_length=8)
    description: str
    authorized: bool

    model_config = ConfigDict(from_attributes=True)
